package com.steerinfo.baseinfo.meterbasereturnzero.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterBaseReturnZero implements IBasePO<String> {
    /**
     * 回零编号(RETURN_ZERO_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="回零编号",required=true)
    private String returnZeroNo;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=true)
    private String baseSpotName;

    /**
     * 秤点编号(SCALE_POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="秤点编号",required=true)
    private String scalePointNo;

    /**
     * 秤点名称(SCALE_POINT_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="秤点名称",required=true)
    private String scalePointName;

    /**
     * 上限重量(UPPER_LIMIT_WEIGHT,DECIMAL,3)
     */
    @ApiModelProperty(value="上限重量",required=true)
    private Double upperLimitWeight;

    /**
     * 下限重量(LOWER_LIMIT_WEIGHT,DECIMAL,3)
     */
    @ApiModelProperty(value="下限重量",required=true)
    private Double lowerLimitWeight;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.returnZeroNo;
    }

    @Override
    public void setId(String returnZeroNo) {
        this.returnZeroNo = returnZeroNo == null ? null : returnZeroNo.trim();
    }

    public String getReturnZeroNo() {
        return returnZeroNo;
    }

    public void setReturnZeroNo(String returnZeroNo) {
        this.returnZeroNo = returnZeroNo == null ? null : returnZeroNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getScalePointNo() {
        return scalePointNo;
    }

    public void setScalePointNo(String scalePointNo) {
        this.scalePointNo = scalePointNo == null ? null : scalePointNo.trim();
    }

    public String getScalePointName() {
        return scalePointName;
    }

    public void setScalePointName(String scalePointName) {
        this.scalePointName = scalePointName == null ? null : scalePointName.trim();
    }

    public Double getUpperLimitWeight() {
        return upperLimitWeight;
    }

    public void setUpperLimitWeight(Double upperLimitWeight) {
        this.upperLimitWeight = upperLimitWeight;
    }

    public Double getLowerLimitWeight() {
        return lowerLimitWeight;
    }

    public void setLowerLimitWeight(Double lowerLimitWeight) {
        this.lowerLimitWeight = lowerLimitWeight;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", returnZeroNo=").append(returnZeroNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", scalePointNo=").append(scalePointNo);
        sb.append(", scalePointName=").append(scalePointName);
        sb.append(", upperLimitWeight=").append(upperLimitWeight);
        sb.append(", lowerLimitWeight=").append(lowerLimitWeight);
        sb.append(", memo=").append(memo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}